Function COPY-ARRAY

Syntax:

copy-array array `&key` undisplace => new-array

Arguments and Values:

array---an array.

undisplace---a generalized boolean. The default is false.

new-array---an array.

Description:

Shallow copies the contents of array into another array with equivalent properties. If array is displaced, then this function will normally create another displaced array with similar properties, unless undisplace is true, in which case the contents of array will be copied into a completely new, not displaced, array.

Examples:

    (copy-array #(1 2 3)) => #(1 2 3)

    (let ((array #(1 2 3)))
      (eq (copy-array array) array)) => NIL

Side Effects: None.

Affected By: None.

Manual Index